#ifndef MMONTECARLO_H
#define MMONTECARLO_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef ROOT_TGFrame
#include <TGFrame.h>
#endif
#ifndef MBROWSER_H
#include "MBrowser.h"
#endif

class TGTextButton;

class MMonteCarlo : public MBrowser
{ 
private:

    TGTextButton *fButAction;

public:
    MMonteCarlo(const TGWindow *main=NULL, const TGWindow *p=NULL,
                     const UInt_t w=500, const UInt_t h=500) ;

    ~MMonteCarlo();

    Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

    ClassDef(MMonteCarlo, 0) // GUI: The 'monte-carlo' window
};

#endif


